nodes / apt
8 operations.
GET /nodes/{node}/apt
ts
proxmox.nodes.$(node).apt.$get()Directory index for apt (Advanced Package Tool).
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/apt/changelog
ts
proxmox.nodes.$(node).apt.changelog.$get()Get package changelogs.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | Package name. |
node | string | yes | The cluster node name. — format pve-node |
version | string | Package version. |
GET /nodes/{node}/apt/repositories
ts
proxmox.nodes.$(node).apt.repositories.$get()Get APT repository information.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/apt/repositories
ts
proxmox.nodes.$(node).apt.repositories.$post()Change the properties of a repository. Currently only allows enabling/disabling.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Digest to detect modifications. — ≤ 80 chars | |
enabled | boolean | Whether the repository should be enabled or not. | |
index | number | yes | Index within the file (starting from 0). |
node | string | yes | The cluster node name. — format pve-node |
path | string | yes | Path to the containing file. |
PUT /nodes/{node}/apt/repositories
ts
proxmox.nodes.$(node).apt.repositories.$put()Add a standard repository to the configuration
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Digest to detect modifications. — ≤ 80 chars | |
handle | string | yes | Handle that identifies a repository. |
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/apt/update
ts
proxmox.nodes.$(node).apt.update.$get()List available updates.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/apt/update
ts
proxmox.nodes.$(node).apt.update.$post()This is used to resynchronize the package index files from their sources (apt-get update).
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
notify | boolean | Send notification about new packages. — default 0 | |
quiet | boolean | Only produces output suitable for logging, omitting progress indicators. — default 0 |
GET /nodes/{node}/apt/versions
ts
proxmox.nodes.$(node).apt.versions.$get()Get package information for important Proxmox packages.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |